Cyberduck Mountain Duck CLI

#1267 closed defect (fixed)

Drag & Drop creates duplicate file

Reported by: Quacker Owned by: dkocher
Priority: normal Milestone: 3.2
Component: core Version: 2.7.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Drag and drop creates a duplicate file with the "-1" extension to the original file name. The duplicate file is the actual downloaded file (with the appended name). The first file drug onto my desktop is some sort of marker file with the duck icon. Using the Download button, this does not happen.

This happens on both my non-Intell Macs running 10.4.10 and using Cyberduck 2.8.

Otherwise, I love the Duck!! Have even paid for it. :-)

Change History (3)

comment:1 Changed on Dec 1, 2007 at 9:40:38 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

See the settings in Preferences > Transfers > Existing Files

comment:2 Changed on Apr 9, 2009 at 2:32:26 PM by jonathangeiger

  • Resolution worksforme deleted
  • Status changed from closed to reopened
  • Summary changed from Drag & Drop creates duplicat file to Drag & Drop creates duplicate file

I've been annoyed by this bug for a long time. I've figured out that this only occurs when you have Preferences > Transfers > Downloads > Existing Files set to "Rename".

I assume what happens is that Cyberduck creates a temporary file and then once it begins the download, sees there is already a file with the name it needs and changes it.

comment:3 Changed on Apr 10, 2009 at 12:34:54 PM by dkocher

  • Milestone set to 3.1.3
  • Resolution set to fixed
  • Status changed from reopened to closed

In r4579.

Note: See TracTickets for help on using tickets.
swiss made software